.baichen-video-section {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.baichen-video-section .video-container {
  position: relative;
  width: 100%;
  height: 100%;
}

.baichen-video-section .video-container video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.baichen-video-section .content-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(rgba(0,0,0,0.3), rgba(0,0,0,0.1));
  color: white;
}

.baichen-video-section .main-title {
  position: absolute;
  top: 10%;
  left: 5%;
  width: 50%;
}

.baichen-video-section .current-point {
  position: absolute;
  bottom: 5%;
  left: 5%;
}

.baichen-video-section .current-point-text {
  font-size: 48px;
  font-weight: 500;
}

.baichen-video-section .timeline-points {
  position: absolute;
  top: 50%;
  right: 5%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  /* gap: 20px; */
}

.baichen-video-section .timeline-point {
  color: var(--text-color);
  cursor: pointer;
  /* padding: 10px; */
  line-height: 55px;
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
  gap: 4px;
  font-size: 18px;
  position: relative;
}


.baichen-video-section .timeline-point:hover {
  color: #fff;
}

.baichen-video-section .timeline-point:after {
  content: '';
  display: block;

  background-color: #fff;
  position: absolute;
  top: 0;
  bottom: 0;
  left: -10px;
  width: 2px;
  opacity: 0.2314;
}
.baichen-video-section .timeline-point:first-child:after {
  top: 36%;
}
.baichen-video-section .timeline-point:last-child:after {
  bottom: 30%;
}

.baichen-video-section .timeline-point:hover:after {
  opacity: 1;
}
.baichen-video-section .timeline-point.active {
  color: #fff;
}
.baichen-video-section .timeline-point.active:after {
  opacity: 1;
}

.baichen-video-section .timeline-point .point-number {
  font-size: 0.9rem;
  opacity: 0.8;
  margin-right: 10px;
}

@media (max-width: 1400px) {
  .baichen-video-section .current-point-text {
    font-size: 36px;
  }

  .baichen-video-section {
    height: 90vh;
  }
}

@media (max-width: 1200px) {
  .baichen-video-section .current-point-text {
    font-size: 30px;
  }

  .baichen-video-section {
    height: 80vh;
  }
}

@media (max-width: 768px) {

  .baichen-video-section {
    height: 70vh;
  }
  .baichen-video-section .current-point-text {
    font-size: 24px;
  }
  
  .baichen-video-section .timeline-point,
  .baichen-video-section .timeline-points {
    font-size: 14px;
    line-height: 32px;
  }

  .baichen-video-section .timeline-point:first-child:after {
    top: 28%;
  }
}

@media (max-width: 576px) {
  .baichen-video-section .current-point-text {
    font-size: 20px;
  }
}